<template>
  <q-layout>
    <q-header elevated>
      <q-toolbar>
        <q-toolbar-title> KnjiznicaSystem </q-toolbar-title>
        <q-btn flat dense @click="openLoginPage" icon="login" />
        <q-space />
      </q-toolbar>
    </q-header>
    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
export default {
  name: 'WelcomeLayout',
  methods: {
    openLoginPage () {
      this.$router.push('/Login')
    }
  }
}
</script>
